CompositeT.hh File Reference
`#include <OpenMesh/Core/System/config.hh>`
`#include <OpenMesh/Tools/Subdivider/Adaptive/Composite/CompositeTraits.hh>`
`#include <vector>`
`#include <memory>`
`#include <string>`
Include dependency graph for CompositeT.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | OpenMesh::Subdivider::Adaptive::RuleHandleT< R >
| Handle template for adaptive composite subdividion rules. More...
class | OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >
| Base class for adaptive composite subdivision rules. More...
class | OpenMesh::Subdivider::Adaptive::CompositeT< M >
| Adaptive Composite Subdivision framework. More...

## Namespaces

| OpenMesh
| Contains all the mesh ingredients like the polygonal mesh, the triangle mesh, different mesh kernels and mesh traits.
| OpenMesh::Subdivider::Adaptive
| Software related to adaptive subdivision of meshes.